## BurnerMediumMonitor

BurnerMediumMonitor

## Functions

BurnerMediumMonitor * | burner_medium_monitor_get_default ()
GSList * | burner_medium_monitor_get_media ()
GSList * | burner_medium_monitor_get_drives ()
BurnerDrive * | burner_medium_monitor_get_drive ()
gboolean | burner_medium_monitor_is_probing ()

## Types and Values

struct | BurnerMediumMonitor
enum | BurnerMediaType
enum | BurnerDriveType

## Description

## Functions

### burner_medium_monitor_get_default ()

    BurnerMediumMonitor *
    burner_medium_monitor_get_default (void);

Gets the currently active monitor.

#### Returns

a BurnerMediumMonitor. Unref when it is not needed anymore.

### burner_medium_monitor_get_media ()

    GSList *
    burner_medium_monitor_get_media (BurnerMediumMonitor *monitor,
                                     BurnerMediaType type);

Obtains the list of available media that are of the given type.

#### Parameters

monitor | a BurnerMediumMonitor |
type | the type of BurnerMedium that should be in the list |

#### Returns

a GSList of BurnerMedium or NULL. The list must be freed and the element unreffed when finished.

[element-type BurnerMedia.Medium][transfer full]

### burner_medium_monitor_get_drives ()

    GSList *
    burner_medium_monitor_get_drives (BurnerMediumMonitor *monitor,
                                      BurnerDriveType type);

Gets the list of available drives that are of the given type.

#### Parameters

monitor | a BurnerMediumMonitor |
type | a BurnerDriveType to tell what type of drives to include in the list |

#### Returns

a GSList of BurnerDrive or NULL. The list must be freed and the element unreffed when finished.

[element-type BurnerMedia.Drive][transfer full]

### burner_medium_monitor_get_drive ()

    BurnerDrive *
    burner_medium_monitor_get_drive (BurnerMediumMonitor *monitor,
                                     const gchar *device);

Returns the BurnerDrive object whose path is `path` .

#### Parameters

monitor | a BurnerMediumMonitor |
device | the path of the device |

#### Returns

a BurnerDrive or NULL. It should be unreffed when no longer in use.

### burner_medium_monitor_is_probing ()

    gboolean
    burner_medium_monitor_is_probing (BurnerMediumMonitor *monitor);

Returns if the library is still probing some other media.

#### Parameters

monitor | a BurnerMediumMonitor |

#### Returns

`TRUE` if it is still probing some media

## Types and Values

### struct BurnerMediumMonitor

    struct BurnerMediumMonitor {
    	GObject parent_instance;
    };

### enum BurnerMediaType

#### Members

BURNER_MEDIA_TYPE_NONE |  |
BURNER_MEDIA_TYPE_FILE |  |
BURNER_MEDIA_TYPE_DATA |  |
BURNER_MEDIA_TYPE_AUDIO |  |
BURNER_MEDIA_TYPE_WRITABLE |  |
BURNER_MEDIA_TYPE_REWRITABLE |  |
BURNER_MEDIA_TYPE_ANY_IN_BURNER |  |
BURNER_MEDIA_TYPE_CD |  |
BURNER_MEDIA_TYPE_ALL_BUT_FILE |  |
BURNER_MEDIA_TYPE_ALL |  |

### enum BurnerDriveType

#### Members

BURNER_DRIVE_TYPE_NONE |  |
BURNER_DRIVE_TYPE_FILE |  |
BURNER_DRIVE_TYPE_WRITER |  |
BURNER_DRIVE_TYPE_READER |  |
BURNER_DRIVE_TYPE_ALL_BUT_FILE |  |
BURNER_DRIVE_TYPE_ALL |  |